<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__generic__mw__defines" kind="group">
    <compoundname>generic_mw_defines</compoundname>
    <title>generic middleware results/error codes</title>
      <sectiondef kind="define">
      <memberdef id="group__generic__mw__defines_1ga3402cf260e5e6ef091fbe4e965cde85b" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_MW_ERR_CODE_START</name>
        <initializer>(0)</initializer>
        <briefdescription>
<para>Generic middleware error code start. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="95" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="95" />
      </memberdef>
      <memberdef id="group__generic__mw__defines_1ga246d79c9096c4d0fd8cd285eb6f08817" kind="define" prot="public" static="no">
        <name>CY_RSLT_MW_ERR_BASE</name>
        <initializer>CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, <ref kindref="member" refid="group__group__utils__enums_1ga6a943e98fd2c6177835730df218b2b75">CY_RSLT_MODULE_MW_BASE</ref>, <ref kindref="member" refid="group__generic__mw__defines_1ga3402cf260e5e6ef091fbe4e965cde85b">CY_RSLT_MODULE_MW_ERR_CODE_START</ref>)</initializer>
        <briefdescription>
<para>Generic middleware base error code. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="97" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="97" />
      </memberdef>
      <memberdef id="group__generic__mw__defines_1ga721e32ee4c7a48e28b5a8159955ee08d" kind="define" prot="public" static="no">
        <name>CY_RSLT_MW_ERROR</name>
        <initializer>( <ref kindref="member" refid="group__generic__mw__defines_1ga246d79c9096c4d0fd8cd285eb6f08817">CY_RSLT_MW_ERR_BASE</ref> + 1 )</initializer>
        <briefdescription>
<para>Generic middleware error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="99" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="99" />
      </memberdef>
      <memberdef id="group__generic__mw__defines_1ga8a78783ca13487fb060287bac1cf8c79" kind="define" prot="public" static="no">
        <name>CY_RSLT_MW_TIMEOUT</name>
        <initializer>( <ref kindref="member" refid="group__generic__mw__defines_1ga246d79c9096c4d0fd8cd285eb6f08817">CY_RSLT_MW_ERR_BASE</ref> + 2 )</initializer>
        <briefdescription>
<para>Generic middleware timeout. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="101" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="101" />
      </memberdef>
      <memberdef id="group__generic__mw__defines_1ga22c099876d15623854b18f79b8b7a814" kind="define" prot="public" static="no">
        <name>CY_RSLT_MW_BADARG</name>
        <initializer>( <ref kindref="member" refid="group__generic__mw__defines_1ga246d79c9096c4d0fd8cd285eb6f08817">CY_RSLT_MW_ERR_BASE</ref> + 3 )</initializer>
        <briefdescription>
<para>Generic middleware bad argument. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="103" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="103" />
      </memberdef>
      <memberdef id="group__generic__mw__defines_1gab28ab3f1bd054af3aea934a38d29d4b0" kind="define" prot="public" static="no">
        <name>CY_RSLT_MW_OUT_OF_HEAP_SPACE</name>
        <initializer>( <ref kindref="member" refid="group__generic__mw__defines_1ga246d79c9096c4d0fd8cd285eb6f08817">CY_RSLT_MW_ERR_BASE</ref> + 4 )</initializer>
        <briefdescription>
<para>Generic middleware out of heap memory. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="105" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="105" />
      </memberdef>
      <memberdef id="group__generic__mw__defines_1ga1867623bbe1d9b98a242c7b078e52a38" kind="define" prot="public" static="no">
        <name>CY_RSLT_MW_PENDNG</name>
        <initializer>( <ref kindref="member" refid="group__generic__mw__defines_1ga246d79c9096c4d0fd8cd285eb6f08817">CY_RSLT_MW_ERR_BASE</ref> + 5 )</initializer>
        <briefdescription>
<para>Generic middleware pending operation. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="107" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="107" />
      </memberdef>
      <memberdef id="group__generic__mw__defines_1gadaca16aa69aa01e3dde819c6dfa023f5" kind="define" prot="public" static="no">
        <name>CY_RSLT_MW_UNSUPPORTED</name>
        <initializer>( <ref kindref="member" refid="group__generic__mw__defines_1ga246d79c9096c4d0fd8cd285eb6f08817">CY_RSLT_MW_ERR_BASE</ref> + 6 )</initializer>
        <briefdescription>
<para>Generic middleware unsupported method. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="109" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="109" />
      </memberdef>
      <memberdef id="group__generic__mw__defines_1gaf866f2a90f7a606cc40a7317d924045a" kind="define" prot="public" static="no">
        <name>CY_RSLT_MW_BUFFER_UNAVAIL_TEMPORARILY</name>
        <initializer>( <ref kindref="member" refid="group__generic__mw__defines_1ga246d79c9096c4d0fd8cd285eb6f08817">CY_RSLT_MW_ERR_BASE</ref> + 7 )</initializer>
        <briefdescription>
<para>Generic middleware buffer unavailable. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="111" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="111" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>